/*
Theme Name:   Bricks Child Theme
Theme URI:    https://bricksbuilder.io/
Description:  Use this child theme to extend Bricks.
Author:       Bricks
Author URI:   https://bricksbuilder.io/
Template:     bricks
Version:      1.1
Text Domain:  bricks
*/

/* Kép stílusok */
.post-content img {
	border-radius: var(--radius-xs);
}

.post-content b,
.post-content strong {
	font-weight: 500;
}

/* YouTube lejátszó */

.zgl-yt-player {
	display: flex;
	flex-direction: column;
	gap: 1px;
}

.zgl-yt-player__main {
	position: relative;
	padding-bottom: 56.25%;
	height: 0;
	border-radius: var(--radius-xs);
	overflow: hidden;
	background-color: var(--dark);
}

.zgl-yt-player__main-inner {
	padding: var(--space-xs);
}

iframe.zgl-yt-player__iframe {
	position: absolute;
	inset: 0;
	margin: auto;
	width: 100%;
	height: 100%;
}

.zgl-yt-player__info {
	margin-top: 12px;
	font-size: 14px;
	line-height: 1.5;
}

.zgl-yt-player__info-title {
	font-weight: 700;
	margin-bottom: 6px;
}

.zgl-yt-player__info-desc {
	opacity: 0.9;
}

/*
.zgl-yt-player__list {
max-height: 500px;
overflow-y: auto;
}
*/

.zgl-yt-player__list ul {
	display: grid;
	grid-template-columns: repeat(5, minmax(0, 1fr));
	gap: 1px;
	list-style: none;
	margin: 0;
	padding: 0;
}

.zgl-yt-player__item {
	display: flex;
	flex-direction: column;
	gap: 1px;
	cursor: pointer;
	background-color: var(--dark);
	transition: background-color 200ms ease-in-out;
}

.zgl-yt-player__item-inner {
    display: flex;
    flex-direction: column;
    gap: var(--space-2xs);
	padding: var(--space-xs);
}

.zgl-yt-player__item:hover {
	background-color: var(--primary-5);
}

.zgl-yt-player__item.is-active {
	background-color: var(--primary-5);
}

.zgl-yt-player__thumb {
	flex: none;
	border-radius: var(--radius-xs);
	overflow: hidden;
}

.zgl-yt-player__thumb img {
	display: block;
	width: 100%;
	height: auto;
	transition: transform 200ms ease-in-out;
}

.zgl-yt-player__item:hover img {
	transform: scale(1.025);
}

.zgl-yt-player__meta {
	display: flex;
	flex-direction: column;
	justify-content: center;
}

.zgl-yt-player__title {
	color: var(--light);
	font-size: var(--text-s);
	font-weight: 700;
	line-height: 1.3;
}

.zgl-yt-player__date {
	color: var(--primary);
	font-size: var(--text-xs);
	font-weight: 500;
}

/* Mobilon egymás alatt jelenjen meg */
@media (max-width: 768px) {
	.zgl-yt-player {
		grid-template-columns: 1fr;
	}

	.zgl-yt-player__list {
		max-height: none;
	}
}

/* Szekció stílusok */

.homepage-section__title {
	transition: padding 200ms ease-in-out;
}

.homepage-section:hover .homepage-section__title {
	padding-left: var(--space-xl) !important;
	padding-right: var(--space-xl) !important;
}

/* Bejegyzés stílusok */

.single-post__social-sharing {
	display: flex;
	gap: 1px;
	width: 100%;
}

.single-post__social-sharing li {
	background-color: var(--bg-body);
	flex-grow: 1;
	transition: background-color 200ms ease-in-out;
}

/* Közösségi média ikonok */

.single-post__social-sharing li:hover {
	background-color: var(--primary-l-4);
}

.single-post__social-sharing li svg {
	transition: transform 200ms ease-in-out;
}

.single-post__social-sharing li:hover svg {
	transform: rotate(15deg) scale(1.1);
}

/* Bejegyzések közötti navigáció */

.post-navigation a {
	flex: 1;
	background-color: var(--bg-body);
	transition: background-color 200ms ease-in-out;
}

.post-navigation a:hover {
	background-color: var(--primary-l-4);
}

/* Archive stílusok */

.page-numbers li {
    margin: 0 -1px;
}